import java.sql.Types;
import java.util.HashMap;
import java.util.Map;

import javax.sql.DataSource;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.jdbc.core.SqlParameter;
import org.springframework.jdbc.object.StoredProcedure;

class Main {
  public static void main(String args[]) throws Exception {
    ApplicationContext ac = new ClassPathXmlApplicationContext("context.xml", Main.class);
    DataSource dataSource = (DataSource) ac.getBean("dataSource");
    //DataSource mysqlDataSource = (DataSource) ac.getBean("mysqlDataSource");


    ActStartled  actStartled = new ActStartled(dataSource);
    
    actStartled.execute(1);
  }
}

class ActStartled extends StoredProcedure {
  private static final String SQL = "p_proc";

  ActStartled(DataSource dataSource) {
      super(dataSource, SQL);
      declareParameter(new SqlParameter("n", Types.INTEGER));
  }

  void execute(int value) {
      Map<String, Object> parameters = new HashMap<String, Object>(1);
      parameters.put("n", value);
      execute(parameters);
  }
}